#if !defined(AFX_ADDTIMEZONE_H__AB18AAF9_1695_4989_ABC2_4EB632B4C7F0__INCLUDED_)
#define AFX_ADDTIMEZONE_H__AB18AAF9_1695_4989_ABC2_4EB632B4C7F0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddTimeZone.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddTimeZone dialog

class CAddTimeZone : public CDialog
{
// Construction
public:
	CAddTimeZone(CWnd* pParent = NULL);   // standard constructor
	CAddTimeZone(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CAddTimeZone)
	enum { IDD = IDD_TIMEZONE_ADD };
	CComboBox	m_AcctList;
	CString	m_TimeZoneName;
	CString	m_TimeZoneDesc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddTimeZone)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddTimeZone)
	virtual BOOL OnInitDialog();
	afx_msg void OnAdd();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
		private:
		IApplicationPtr pApplication;
		ITimeZonePtr	pTZ;  
			void LoadAccounts();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDTIMEZONE_H__AB18AAF9_1695_4989_ABC2_4EB632B4C7F0__INCLUDED_)
